| Flutter Impeller |

Namespaces | Functions
impellerc_main.cc File Reference
`#include <filesystem>`
`#include <system_error>`
`#include "flutter/fml/backtrace.h"`
`#include "flutter/fml/command_line.h"`
`#include "flutter/fml/file.h"`
`#include "flutter/fml/mapping.h"`
`#include "impeller/compiler/compiler.h"`
`#include "impeller/compiler/runtime_stage_data.h"`
`#include "impeller/compiler/shader_bundle.h"`
`#include "impeller/compiler/source_options.h"`
`#include "impeller/compiler/switches.h"`
`#include "impeller/compiler/types.h"`
`#include "impeller/compiler/utilities.h"`

Go to the source code of this file.

## Namespaces
| impeller
| impeller::compiler

## Functions
static Reflector::Options | impeller::compiler::CreateReflectorOptions (const SourceOptions &options, const Switches &switches)
static std::shared_ptr< RuntimeStageData::Shader > | impeller::compiler::CompileSkSL (std::shared_ptr< fml::Mapping > source_file_mapping, const Switches &switches)
static bool | impeller::compiler::OutputIPLR (const Switches &switches, const std::shared_ptr< fml::Mapping > &source_file_mapping)
static bool | impeller::compiler::OutputSLFile (const Compiler &compiler, const Switches &switches)
static bool | impeller::compiler::OutputReflectionData (const Compiler &compiler, const Switches &switches, const SourceOptions &options)
static bool | impeller::compiler::OutputDepfile (const Compiler &compiler, const Switches &switches)
bool | impeller::compiler::Main (const fml::CommandLine &command_line)
int | main (int argc, char const *argv[])

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char const * | argv[]
| ) |  |

Definition at line 310 of file impellerc_main.cc.

310 {
311 return impeller::compiler::Main(
312 fml::CommandLineFromPlatformOrArgcArgv(argc, argv))
313 ? EXIT_SUCCESS
314 : EXIT_FAILURE;
315 }
impeller::compiler::Main
bool Main(const fml::CommandLine &command_line)
Definition: impellerc_main.cc:234

References impeller::compiler::Main().